(******************************************************************************)
(*     Alt-Ergo: The SMT Solver For Software Verification                     *)
(*     Copyright (C) 2013-2015 --- OCamlPro                                   *)
(*     This file is distributed under the terms of the CeCILL-C licence       *)
(******************************************************************************)

(******************************************************************************)
(*     The Alt-Ergo theorem prover                                            *)
(*     Copyright (C) 2006-2013                                                *)
(*     CNRS - INRIA - Universite Paris Sud                                    *)
(*                                                                            *)
(*     Sylvain Conchon                                                        *)
(*     Evelyne Contejean                                                      *)
(*                                                                            *)
(*     Francois Bobot                                                         *)
(*     Mohamed Iguernelala                                                    *)
(*     Stephane Lescuyer                                                      *)
(*     Alain Mebsout                                                          *)
(*                                                                            *)
(*   This file is distributed under the terms of the CeCILL-C licence         *)
(******************************************************************************)

module Relation (X : Bitv.ALIEN) (Uf : Sig.UF_SIG) = struct
  type r = X.r
  type t = unit
  type uf = Uf.t
  exception Inconsistent
  let empty _ = ()
  let assume _ _ _ =
    (), { Sig.assume = []; remove = []}, Term.Set.empty
  let query _ _ _ = Sig.No
  let case_split env _ = []
  let add env _ _ _ = env, []
  let print_model _ _ _ = ()
  let new_terms env = Term.Set.empty
end
