
val nass   : int ref
val nsatur : int ref
val nsmplx : int ref
val nlems  : int ref
val nterms : int ref

module type S = sig
  val start : unit -> unit
  val get : unit -> unit
  val total : unit -> float
  val last : unit -> float
end

module Time ( X : sig end) : S


module SimplexTime : S
module SaturateTime : S
module GraphTime : S
module HammerTime : S
